CPU information
Implementation internals » Information gathering

CPU detection functions. More...

## Functions

static void | read_cpuinfo (hd_data_t *hd_data)
static void | dump_cpu_data (hd_data_t *hd_data)
void | hd_scan_cpu (hd_data_t *hd_data)

## Detailed Description

CPU detection functions.

Note: on other architectures, entries differ (cf. Alpha)!!!

## Function Documentation

## dump_cpu_data()

void dump_cpu_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, hd_data, s_str_list_t::next, and s_str_list_t::str.

Referenced by read_cpuinfo().

## hd_scan_cpu()

void hd_scan_cpu | ( | hd_data_t * | hd_data | ) |

References add_hd_entry(), s_hd_t::base_class, bc_internal, free_str_list(), hd_copy(), hd_data, hd_probe_feature(), hd_id_t::id, s_hd_t::idx, mod_cpu, s_hd_t::next, pr_cpu, PROGRESS, read_cpuinfo(), remove_hd_entries(), sc_int_cpu, s_hd_t::slot, and s_hd_t::sub_class.

Referenced by hd_is_uml(), and hd_scan_no_hal().

## read_cpuinfo()

void read_cpuinfo | ( | hd_data_t * | hd_data | ) |

static

References add_hd_entry(), add_str_list(), arch_68k, arch_aarch64, arch_alpha, arch_arm, arch_ia64, arch_intel, arch_ppc, arch_ppc64, arch_riscv, arch_s390, arch_s390x, arch_sparc, arch_sparc64, arch_x86_64, cpu_info_t::architecture, s_hd_t::base_class, bc_internal, cpu_info_t::bogo, boot_aboot, boot_elilo, boot_grub, boot_milo, boot_ppc, boot_s390, boot_silo, boot_uboot, cpu_info_t::cache, cpu_info_t::clock, hd_detail_t::cpu, hd_detail_cpu_t::data, s_hd_t::detail, dump_cpu_data(), cpu_info_t::family, cpu_info_t::features, hd_data, HD_DEB_CPU, hd_detail_cpu, hd_split(), hd_id_t::id, cpu_info_t::model, cpu_info_t::model_name, new_mem(), new_str(), s_str_list_t::next, cpu_info_t::platform, PROC_CPUINFO, read_file(), sc_int_cpu, s_hd_t::slot, cpu_info_t::stepping, s_str_list_t::str, s_hd_t::sub_class, hd_detail_t::type, cpu_info_t::units, cpu_info_t::vend_name, and vendor_id.

Referenced by hd_scan_cpu().